Bug 88498 - function Countif external reference - value not cached
Summary: function Countif external reference - value not cached
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Function Cell-Reference
  Show dependency treegraph
 
Reported: 2015-01-16 14:50 UTC by raal
Modified: 2019-12-03 14:30 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test files (75.65 KB, application/zip)
2015-01-16 14:50 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2015-01-16 14:50:46 UTC
Created attachment 112349 [details]
test files

During creating tests for bug 40110 I've found error.

Steps to reproduce
 - unzip test files
 - open fdo40110test.ods
 - message refresh external data, choose yes
 - see all results = 1
  - save file
 - close; reopen
Warning – refresh external data


Actual results:
see ZERO 0 in last result	
after refresh value = YES -> result is correct -> 1	
after refresh value = NO -> result is incorrect -> 0 	

Expected reults:	
	value B4 should be 1; cached value

 Printscreens in bugfile
Comment 1 Buovjaga 2015-01-17 15:08:14 UTC
Already observed in 3.5.0, except it's B1 with 0 or 1.

Win 7 Pro 64-bit, LibO Version: 4.4.0.2
Build ID: a3603970151a6ae2596acd62b70112f4d376b99

Version: 4.5.0.0.alpha0+
Build ID: 5f6bdce0c0ac687f418821ce328f2987bf340cda
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-17_01:06:46

Ubuntu 14.10 64-bit
LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 2 QA Administrators 2016-01-17 20:02:40 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2017-03-06 13:56:27 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2019-12-03 14:30:24 UTC
Dear raal,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug